ppp

parcel-plugin-pug

Pug template support for Parcel bundler

Showing:

Popularity

Downloads/wk

0

GitHub Stars

48

Maintenance

Last Commit

4yrs ago

Contributors

3

Package

Dependencies

9

License

MIT

Type Definitions

Built-In

Tree-Shakeable

No?

Categories

Readme

parcel-plugin-pug

Travis CI Build Status Appveyor Build status Dependencies npm package Conventional Commits License: MIT

parcel-plugin-pug

Pug template support for Parcel bundler

DEPRECATED

Since version 1.7.0 plugin has been integrated into core. You no need to install plugin separately.

Features

  • Supports .pug and .jade template files
  • Correctly handles include and extends statements
  • Supports Pug filters
  • Resolves all assets inside template files

Coming features

  • Support HMR when changing template includes
  • Fix duplicated pug error messages
  • Fix variables with URL in mixins

Installation

yarn add parcel-plugin-pug

or

npm install parcel-plugin-pug

Getting error?

If you getting error like that

parcel src/content.pug
⏳  Building...
Server running at http://localhost:1234
🚨  Cannot find module 'parcel-bundler/src/Asset'

you need to install parcel-bundler by running npm install -D parcel-bundler or yarn add parcel-bundler in your project folder, because plugin uses parcel-bundler as peerDependency.

Rate & Review

Great Documentation0
Easy to Use0
Performant0
Highly Customizable0
Bleeding Edge0
Responsive Maintainers0
Poor Documentation0
Hard to Use0
Slow0
Buggy0
Abandoned0
Unwelcoming Community0
100
No reviews found
Be the first to rate

Alternatives

No alternatives found

Tutorials

No tutorials found
Add a tutorial